<?php
class Koobi_Smarty extends Smarty 
{
	function Koobi_Smarty($template_dir,$theme,$area,$row_lang_settings)
	{
		if (stristr($_SERVER['HTTP_USER_AGENT'],"firefox")) $agent = "Firefox";
		elseif (stristr($_SERVER['HTTP_USER_AGENT'],"safari")) $agent = "Safari";
		elseif (stristr($_SERVER['HTTP_USER_AGENT'],"msie 7")) $agent = "IE7";
		elseif (stristr($_SERVER['HTTP_USER_AGENT'],"opera")) $agent = "Opera";
		elseif (stristr($_SERVER['HTTP_USER_AGENT'],"msie 6")) $agent = "IE6";
		else $agent = "UNKNOWN";

		define("AGENT", strtolower($agent));
		define("AREA", 1);
		

		$this->compile_dir = BASE_DIR . "/compiled";
		$this->cache_dir = BASE_DIR . "/compiled";
	}
}
?>